[arch-commits] Commit in gtk-doc/repos/extra-any (PKGBUILD PKGBUILD fix.diff)

Antonio Rojas arojas at archlinux.org
Sat Nov 9 14:08:30 UTC 2019


    Date: Saturday, November 9, 2019 @ 14:08:29
  Author: arojas
Revision: 367265

archrelease: copy trunk to extra-any

Added:
  gtk-doc/repos/extra-any/PKGBUILD
    (from rev 367264, gtk-doc/trunk/PKGBUILD)
Deleted:
  gtk-doc/repos/extra-any/PKGBUILD
  gtk-doc/repos/extra-any/fix.diff

----------+
 PKGBUILD |   79 +++++++++++++++++++++++++++----------------------------------
 fix.diff |   41 -------------------------------
 2 files changed, 36 insertions(+), 84 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-11-09 14:08:11 UTC (rev 367264)
+++ PKGBUILD	2019-11-09 14:08:29 UTC (rev 367265)
@@ -1,43 +0,0 @@
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=gtk-doc
-pkgver=1.31
-pkgrel=2
-pkgdesc="Documentation tool for public library API"
-url="https://www.gtk.org/gtk-doc/"
-arch=(any)
-license=(GPL FDL)
-depends=(docbook-xsl docbook-xml glib2-docs python-lxml python-pygments
-         python-anytree)
-makedepends=(dblatex git yelp-tools meson)
-checkdepends=(bc gtk3 python-six python-parameterized)
-optdepends=('dblatex: PDF support')
-_commit=c268fa535424d193953487c694e2a8f770d3255f  # tags/GTK_DOC_1_31^0
-source=("git+https://gitlab.gnome.org/GNOME/gtk-doc.git#commit=$_commit"
-        fix.diff)
-sha256sums=('SKIP'
-            '25362c503667167f71f6991dc3d42d6a2a0bae4e6ecd128d9d2f9c62c4f5c74b')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed -e 's/GTK_DOC_//' -e 's/_/\./g' -e 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-  patch -Np1 -i ../fix.diff
-}
-
-build() {
-  arch-meson $pkgname build
-  ninja -C build
-}
-
-check() {
-  # Tests don't work yet
-  meson test -C build --print-errorlogs || :
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-}

Copied: gtk-doc/repos/extra-any/PKGBUILD (from rev 367264, gtk-doc/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-11-09 14:08:29 UTC (rev 367265)
@@ -0,0 +1,36 @@
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gtk-doc
+pkgver=1.32
+pkgrel=1
+pkgdesc="Documentation tool for public library API"
+url="https://www.gtk.org/gtk-doc/"
+arch=(any)
+license=(GPL FDL)
+depends=(docbook-xsl docbook-xml glib2-docs python-lxml python-pygments
+         python-anytree)
+makedepends=(dblatex git yelp-tools meson)
+checkdepends=(bc gtk3 python-six python-parameterized)
+optdepends=('dblatex: PDF support')
+_commit=7fce5688c973fca10951bfdbeab9acca034aa095  # tags/GTK_DOC_1_32^0
+source=("git+https://gitlab.gnome.org/GNOME/gtk-doc.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed -e 's/GTK_DOC_//' -e 's/_/\./g' -e 's/-/+/g'
+}
+
+build() {
+  arch-meson $pkgname build
+  ninja -C build
+}
+
+check() {
+  # Tests don't work yet
+  meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}

Deleted: fix.diff
===================================================================
--- fix.diff	2019-11-09 14:08:11 UTC (rev 367264)
+++ fix.diff	2019-11-09 14:08:29 UTC (rev 367265)
@@ -1,41 +0,0 @@
-diff --git i/gtkdoc/highlight.py w/gtkdoc/highlight.py
-index ba1c601..226aa12 100644
---- i/gtkdoc/highlight.py
-+++ w/gtkdoc/highlight.py
-@@ -46,6 +46,9 @@ def highlight_code(code, lang='c'):
- 
- 
- def append_style_defs(css_file_name):
--    os.chmod(css_file_name, 0o644)
-+    try:
-+        os.chmod(css_file_name, 0o644)
-+    except OSError:
-+        pass
-     with open(css_file_name, 'at', newline='\n', encoding='utf-8') as css:
-         css.write(HTML_FORMATTER.get_style_defs())
-diff --git i/gtkdoc/scan.py w/gtkdoc/scan.py
-index d04d4d4..2103d02 100644
---- i/gtkdoc/scan.py
-+++ w/gtkdoc/scan.py
-@@ -961,8 +961,8 @@ def ScanHeaderContent(input_lines, decl_list, get_types, options):
-                 logging.info('struct/union level : %d', level)
- 
-     # here we want in_declaration=='', otherwise we have a partial declaration
--    if in_declaration != '':
--        raise RuntimeError('partial declaration (%s) : %s ' % (in_declaration, decl))
-+    #if in_declaration != '':
-+    #    raise RuntimeError('partial declaration (%s) : %s ' % (in_declaration, decl))
- 
-     # print remaining forward declarations
-     for symbol in sorted(forward_decls.keys()):
-diff --git i/meson.build w/meson.build
-index 85e83ca..5e4d288 100644
---- i/meson.build
-+++ w/meson.build
-@@ -1,5 +1,5 @@
- project('gtk-doc', 'c',
--  version: '1.30.1',
-+  version: '1.31',
-   license: 'GPL2+',
-   meson_version: '>= 0.50.0', # needed for https://mesonbuild.com/Python-module.html#path
- )



More information about the arch-commits mailing list